Ensure permission on listing file is 644 during syncable exports

08/21/2023 06:14 PM - Joniel Pasqualetto

Status: Closed   

Priority: Normal   

Assignee: Chris Roberts   

Category: Inter Server Sync   

Target version: Katello 4.11.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 2233162 Red Hat JIRA:  

Pull request: https://github.com/Katello/hammer-cli-kat

ello/pull/903

  

Description

Description of problem:

When exporting on syncable format, the "listing" file is  supposed to have permissions 644. If the user running the export command

has an umask too restrictive, the permissions of the listing file will follow.

Version-Release number of selected component (if applicable):

How reproducible:

Always

Steps to Reproduce:

1. Set umask to 0077

2. export a repository/cv/library on syncable format

3. check the permissions of the file

Actual results: file is created with permissions based on the umask

Expected results: file should have 644 regardless of umask for the user running the command

Additional info: Users that do the export and simply copy/rsync the exported content keeping permissions may have issues on the

disconnected side while trying to enable repositories.

History

#1 - 09/14/2023 06:01 PM - Partha Aji

- Status changed from New to Closed

- Pull request https://github.com/Katello/hammer-cli-katello/pull/903 added

#2 - 09/14/2023 06:02 PM - Partha Aji

- Project changed from Hammer CLI to Katello

#3 - 09/20/2023 05:36 PM - Lucy Fu

- Triaged changed from No to Yes

#4 - 09/20/2023 05:37 PM - Lucy Fu

- Category set to Inter Server Sync

- Target version set to Katello 4.11.0

#5 - 10/09/2023 07:38 PM - The Foreman Bot

- Assignee set to Chris Roberts
